Alokai

SapccApiGetCartEntryRequest

Request parameters for getCartEntry operation in SapccApi. SapccApiGetCartEntryRequest

interface SapccApiGetCartEntryRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly entryNumber: number;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiGetCartEntry
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiGetCartEntry
entryNumberRequirednumberEach entry in a cart has an entry number. Cart entries are numbered in ascending order, starting with zero. {number} SapccApiGetCartEntry
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetCartEntry
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiGetCartEntry

On this page